petsc-3.7.1 2016-05-15
Report Typos and Errors

# KSPGetDiagonalScale

Checks if KSP solver scales the matrix and right hand side

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPGetDiagonalScale(KSP ksp,PetscBool  *scale)

Not Collective Many br

### Input Parameter

ksp -the KSP context Many br

### Output Parameter

scale -PETSC_TRUE or PETSC_FALSE Many br

### Notes

BE CAREFUL with this routine: it actually scales the matrix and right Many brhand side that define the system. After the system is solved the matrix Many brand right hand side remain scaled unless you use KSPSetDiagonalScaleFix() Many br

Many br

### Keywords

KSP, set, options, prefix, database

### See Also

KSPSetDiagonalScale(), KSPSetDiagonalScaleFix()

Level:intermediate
Location:src/ksp/ksp/interface/itfunc.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages